ru.bitel.bgbilling.kernel.tariff.option.server.bean

## Class ContractTariffOptionDao

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.common.dao.AbstractDao<B>
    - - ru.bitel.common.dao.AbstractIdDao<ContractTariffOption>
      - - ru.bitel.bgbilling.kernel.tariff.option.server.bean.ContractTariffOptionDao

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class ContractTariffOptionDao
      extends ru.bitel.common.dao.AbstractIdDao<ContractTariffOption>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, tableName`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractTariffOptionDao(java.sql.Connection con)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ContractTariffOptionList` | `getContractRealtimeTariffOptionList(java.sql.Connection con, int contractId, java.util.Date fromTime)` Из даты time_to вычитается одна миллисекунда.
    `ContractTariffOptionList` | `getContractRealtimeTariffOptionList(int contractId, java.util.Date fromTime)` Из даты time_to вычитается одна миллисекунда.
    `protected ContractTariffOption` | `getFromRS(java.sql.ResultSet rs)`
    `static ContractTariffOptionList` | `getRoundContractRealtimeTariffOptionList(java.sql.Connection con, int contractId, java.util.Date fromTime)` Вовзращает оции , у которых time_from округлено до начала часа .
    `ContractTariffOptionList` | `getRoundContractRealtimeTariffOptionList(int contractId, java.util.Date fromTime)` Вовзращает оции , у которых time_from округлено до начала часа .
    `java.util.List<ContractTariffOption>` | `list(int contractId, java.util.Date date)`
    `java.util.List<ContractTariffOption>` | `list(int contractId, java.util.Date date, boolean history, boolean needNonActive)`
    `void` | `update(ContractTariffOption b)`
    `void` | `update(ContractTariffOption b, boolean checkDeactivated)`
    `protected void` | `updateImpl(ContractTariffOption contractOption)`
    `protected void` | `updateImpl(ContractTariffOption contractOption, boolean checkDeactivated)`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

      `delete, get, getAndDelete, getAndUpdate`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractTariffOptionDao

          public ContractTariffOptionDao(java.sql.Connection con)

  - ### Method Detail

    - #### list

          public java.util.List<ContractTariffOption> list(int contractId,
                                                           java.util.Date date)
                                                    throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### list

          public java.util.List<ContractTariffOption> list(int contractId,
                                                           java.util.Date date,
                                                           boolean history,
                                                           boolean needNonActive)
                                                    throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getContractRealtimeTariffOptionList

          public ContractTariffOptionList getContractRealtimeTariffOptionList(int contractId,
                                                                              java.util.Date fromTime)
                                                                       throws java.sql.SQLException

      Из даты time_to вычитается одна миллисекунда.
      Parameters:
        `contractId` -
        `fromTime` -
      Returns:
      Throws:
        `java.sql.SQLException`

    - #### getContractRealtimeTariffOptionList

          public static ContractTariffOptionList getContractRealtimeTariffOptionList(java.sql.Connection con,
                                                                                     int contractId,
                                                                                     java.util.Date fromTime)
                                                                              throws java.sql.SQLException

      Из даты time_to вычитается одна миллисекунда.
      Parameters:
        `con` -
        `contractId` -
        `fromTime` -
      Returns:
      Throws:
        `java.sql.SQLException`

    - #### getRoundContractRealtimeTariffOptionList

          public ContractTariffOptionList getRoundContractRealtimeTariffOptionList(int contractId,
                                                                                   java.util.Date fromTime)
                                                                            throws java.sql.SQLException

      Вовзращает оции , у которых time_from округлено до начала часа . Нужно моужля IPN, т.к так почасовая тарификация. Из даты time_to вычитается одна миллисекунда.
      Parameters:
        `contractId` -
        `fromTime` -
      Returns:
      Throws:
        `java.sql.SQLException`

    - #### getRoundContractRealtimeTariffOptionList

          public static ContractTariffOptionList getRoundContractRealtimeTariffOptionList(java.sql.Connection con,
                                                                                          int contractId,
                                                                                          java.util.Date fromTime)
                                                                                   throws java.sql.SQLException

      Вовзращает оции , у которых time_from округлено до начала часа . Нужно моужля IPN, т.к так почасовая тарификация. Из даты time_to вычитается одна миллисекунда.
      Parameters:
        `con` -
        `contractId` -
        `fromTime` -
      Returns:
      Throws:
        `java.sql.SQLException`

    - #### getFromRS

          protected ContractTariffOption getFromRS(java.sql.ResultSet rs)
                                            throws java.sql.SQLException

      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<ContractTariffOption>`
      Throws:
        `java.sql.SQLException`

    - #### update

          public void update(ContractTariffOption b)
                      throws ru.bitel.bgbilling.common.BGException

      Overrides:
        `update` in class `ru.bitel.common.dao.AbstractDao<ContractTariffOption>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### update

          public void update(ContractTariffOption b,
                             boolean checkDeactivated)
                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateImpl

          protected void updateImpl(ContractTariffOption contractOption)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<ContractTariffOption>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`

    - #### updateImpl

          protected void updateImpl(ContractTariffOption contractOption,
                                    boolean checkDeactivated)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`